      subroutine GETARG(NARGS,ARGS,IT,ITM1)
      real ARGS(10),ARG1
      integer NARGS,IT,LENGTH,ITM1
      logical NOTNUM
      include 'INPAR.INC'
      include 'MODNAM.INC'
      character*1 CLOLIM(3)
      data CLOLIM/' ',',',')'/
      NARGS = 0
100   continue
      START = STOPIT+1
      call SKAN (INPUT,START,STOPIT,TYPE,CLOLIM,3)
      IT = 2
      if (TYPE.eq.1) go to 120
      LENGTH = STOPIT-START
      IT = 8
      if (LENGTH.eq.0) go to 120
      ARG1 = -1.
      if (LENGTH.eq.1.and.INPUT(START:START).eq.'*') go to 110
      call XVALUE(INPUT(START:START),LENGTH,ARG1,NOTNUM)
      IT = 5
      if (NOTNUM) go to 120
110   continue
      NARGS = NARGS+1
      ARGS(NARGS) = ARG1
      if (TYPE.ne.3) go to 100
      IT = 0
      if (ITM1.ne.NARGS) IT = 4
120   continue
      return
      end
